1. Registry
  2. Packages
  3. Vantage Provider
  4. API Docs
  5. getIntegrationByName
Viewing docs for vantage 0.3.19
published on Thursday, Sep 10, 2026 by vantage-sh
Viewing docs for vantage 0.3.19
published on Thursday, Sep 10, 2026 by vantage-sh

    Looks up an integration by name. Searches up to 1,000 integrations returned by the Vantage API. Use provider_filter to narrow the search to a specific integration type.

    Using getIntegrationByName

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getIntegrationByName(args: GetIntegrationByNameArgs, opts?: InvokeOptions): Promise<GetIntegrationByNameResult>
    function getIntegrationByNameOutput(args: GetIntegrationByNameOutputArgs, opts?: InvokeOutputOptions): Output<GetIntegrationByNameResult>
    def get_integration_by_name(name: Optional[str] = None,
                                provider_filter: Optional[str] = None,
                                opts: Optional[InvokeOptions] = None) -> GetIntegrationByNameResult
    def get_integration_by_name_output(name: pulumi.Input[Optional[str]] = None,
                                provider_filter: pulumi.Input[Optional[str]] = None,
                                opts: Optional[InvokeOutputOptions] = None) -> Output[GetIntegrationByNameResult]
    func GetIntegrationByName(ctx *Context, args *GetIntegrationByNameArgs, opts ...InvokeOption) (*GetIntegrationByNameResult, error)
    func GetIntegrationByNameOutput(ctx *Context, args *GetIntegrationByNameOutputArgs, opts ...InvokeOption) GetIntegrationByNameResultOutput

    > Note: This function is named GetIntegrationByName in the Go SDK.

    public static class GetIntegrationByName 
    {
        public static Task<GetIntegrationByNameResult> InvokeAsync(GetIntegrationByNameArgs args, InvokeOptions? opts = null)
        public static Output<GetIntegrationByNameResult> Invoke(GetIntegrationByNameInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetIntegrationByNameResult> Invoke(GetIntegrationByNameInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetIntegrationByNameResult> getIntegrationByName(GetIntegrationByNameArgs args, InvokeOptions options)
    public static Output<GetIntegrationByNameResult> getIntegrationByName(GetIntegrationByNameArgs args, InvokeOptions options)
    public static Output<GetIntegrationByNameResult> getIntegrationByName(GetIntegrationByNameArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: vantage:index/getIntegrationByName:getIntegrationByName
      arguments:
        # arguments dictionary
    data "vantage_get_integration_by_name" "name" {
        # arguments
    }

    The following arguments are supported:

    Name string
    The display name of the integration to find.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    Name string
    The display name of the integration to find.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    name string
    The display name of the integration to find.
    provider_filter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    name String
    The display name of the integration to find.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    name string
    The display name of the integration to find.
    providerFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    name str
    The display name of the integration to find.
    provider_filter str
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    name String
    The display name of the integration to find.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.

    getIntegrationByName Result

    The following output properties are available:

    CreatedAt string
    The date and time (UTC, ISO 8601) when the integration was created.
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdated string
    The date and time (UTC, ISO 8601) when the integration was last updated.
    ManagedAccountTokens List<string>
    The tokens of any Managed Accounts associated with this integration.
    Name string
    The display name of the integration to find.
    Status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    Token string
    The unique token of the matched integration.
    WorkspaceTokens List<string>
    The tokens of the Workspaces associated with this integration.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    CreatedAt string
    The date and time (UTC, ISO 8601) when the integration was created.
    Id string
    The provider-assigned unique ID for this managed resource.
    LastUpdated string
    The date and time (UTC, ISO 8601) when the integration was last updated.
    ManagedAccountTokens []string
    The tokens of any Managed Accounts associated with this integration.
    Name string
    The display name of the integration to find.
    Status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    Token string
    The unique token of the matched integration.
    WorkspaceTokens []string
    The tokens of the Workspaces associated with this integration.
    ProviderFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    created_at string
    The date and time (UTC, ISO 8601) when the integration was created.
    id string
    The provider-assigned unique ID for this managed resource.
    last_updated string
    The date and time (UTC, ISO 8601) when the integration was last updated.
    managed_account_tokens list(string)
    The tokens of any Managed Accounts associated with this integration.
    name string
    The display name of the integration to find.
    status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token string
    The unique token of the matched integration.
    workspace_tokens list(string)
    The tokens of the Workspaces associated with this integration.
    provider_filter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    createdAt String
    The date and time (UTC, ISO 8601) when the integration was created.
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdated String
    The date and time (UTC, ISO 8601) when the integration was last updated.
    managedAccountTokens List<String>
    The tokens of any Managed Accounts associated with this integration.
    name String
    The display name of the integration to find.
    status String
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token String
    The unique token of the matched integration.
    workspaceTokens List<String>
    The tokens of the Workspaces associated with this integration.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    createdAt string
    The date and time (UTC, ISO 8601) when the integration was created.
    id string
    The provider-assigned unique ID for this managed resource.
    lastUpdated string
    The date and time (UTC, ISO 8601) when the integration was last updated.
    managedAccountTokens string[]
    The tokens of any Managed Accounts associated with this integration.
    name string
    The display name of the integration to find.
    status string
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token string
    The unique token of the matched integration.
    workspaceTokens string[]
    The tokens of the Workspaces associated with this integration.
    providerFilter string
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    created_at str
    The date and time (UTC, ISO 8601) when the integration was created.
    id str
    The provider-assigned unique ID for this managed resource.
    last_updated str
    The date and time (UTC, ISO 8601) when the integration was last updated.
    managed_account_tokens Sequence[str]
    The tokens of any Managed Accounts associated with this integration.
    name str
    The display name of the integration to find.
    status str
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token str
    The unique token of the matched integration.
    workspace_tokens Sequence[str]
    The tokens of the Workspaces associated with this integration.
    provider_filter str
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.
    createdAt String
    The date and time (UTC, ISO 8601) when the integration was created.
    id String
    The provider-assigned unique ID for this managed resource.
    lastUpdated String
    The date and time (UTC, ISO 8601) when the integration was last updated.
    managedAccountTokens List<String>
    The tokens of any Managed Accounts associated with this integration.
    name String
    The display name of the integration to find.
    status String
    The status of the integration (e.g. connected, pending, importing, imported, error, disconnected).
    token String
    The unique token of the matched integration.
    workspaceTokens List<String>
    The tokens of the Workspaces associated with this integration.
    providerFilter String
    Filter integrations by provider type before searching (e.g. custom_provider). Corresponds to the provider query parameter on the Get All Integrations endpoint.

    Package Details

    Repository
    vantage vantage-sh/terraform-provider-vantage
    License
    Notes
    This Pulumi package is based on the vantage Terraform Provider.
    Viewing docs for vantage 0.3.19
    published on Thursday, Sep 10, 2026 by vantage-sh

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial